Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptorC.cpp File Reference

`#include "PortableInterceptorC.h"`
`#include "tao/Stub.h"`
`#include "tao/Invocation.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/ClientRequestInfo_i.h"`
`#include "tao/ClientInterceptorAdapter.h"`
`#include "PortableInterceptorC.i"`

Include dependency graph for PortableInterceptorC.cpp:

## Functions
PortableInterceptor::Interceptor_ptr | tao_PortableInterceptor_Interceptor_duplicate (PortableInterceptor::Interceptor_ptr p)
void | tao_PortableInterceptor_Interceptor_release (PortableInterceptor::Interceptor_ptr p)
PortableInterceptor::Interceptor_ptr | tao_PortableInterceptor_Interceptor_nil (void)
PortableInterceptor::Interceptor_ptr | tao_PortableInterceptor_Interceptor_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableInterceptor_Interceptor_upcast (void *src)
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_ForwardRequest (CORBA::tk_except, sizeof(_oc_PortableInterceptor_ForwardRequest),(char *)&_oc_PortableInterceptor_ForwardRequest, 0, sizeof(PortableInterceptor::ForwardRequest))
| TAO_NAMESPACE_TYPE (CORBA::TypeCode_ptr) TAO_NAMESPACE_BEGIN(PortableInterceptor) TAO_NAMESPACE_DEFINE(
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_ReplyStatus (CORBA::tk_alias, sizeof(_oc_PortableInterceptor_ReplyStatus),(char *)&_oc_PortableInterceptor_ReplyStatus, 0, sizeof(PortableInterceptor::ReplyStatus))
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_SlotId (CORBA::tk_alias, sizeof(_oc_PortableInterceptor_SlotId),(char *)&_oc_PortableInterceptor_SlotId, 0, sizeof(PortableInterceptor::SlotId))
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_InvalidSlot (CORBA::tk_except, sizeof(_oc_PortableInterceptor_InvalidSlot),(char *)&_oc_PortableInterceptor_InvalidSlot, 0, sizeof(PortableInterceptor::InvalidSlot))
PortableInterceptor::Current_ptr | tao_PortableInterceptor_Current_duplicate (PortableInterceptor::Current_ptr p)
void | tao_PortableInterceptor_Current_release (PortableInterceptor::Current_ptr p)
PortableInterceptor::Current_ptr | tao_PortableInterceptor_Current_nil (void)
PortableInterceptor::Current_ptr | tao_PortableInterceptor_Current_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableInterceptor_Current_upcast (void *src)
PortableInterceptor::RequestInfo_ptr | tao_PortableInterceptor_RequestInfo_duplicate (PortableInterceptor::RequestInfo_ptr p)
void | tao_PortableInterceptor_RequestInfo_release (PortableInterceptor::RequestInfo_ptr p)
PortableInterceptor::RequestInfo_ptr | tao_PortableInterceptor_RequestInfo_nil (void)
PortableInterceptor::RequestInfo_ptr | tao_PortableInterceptor_RequestInfo_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableInterceptor_RequestInfo_upcast (void *src)
PortableInterceptor::ClientRequestInfo_ptr | tao_PortableInterceptor_ClientRequestInfo_duplicate (PortableInterceptor::ClientRequestInfo_ptr p)
void | tao_PortableInterceptor_ClientRequestInfo_release (PortableInterceptor::ClientRequestInfo_ptr p)
PortableInterceptor::ClientRequestInfo_ptr | tao_PortableInterceptor_ClientRequestInfo_nil (void)
PortableInterceptor::ClientRequestInfo_ptr | tao_PortableInterceptor_ClientRequestInfo_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableInterceptor_ClientRequestInfo_upcast (void *src)
PortableInterceptor::ServerRequestInfo_ptr | tao_PortableInterceptor_ServerRequestInfo_duplicate (PortableInterceptor::ServerRequestInfo_ptr p)
void | tao_PortableInterceptor_ServerRequestInfo_release (PortableInterceptor::ServerRequestInfo_ptr p)
PortableInterceptor::ServerRequestInfo_ptr | tao_PortableInterceptor_ServerRequestInfo_nil (void)
PortableInterceptor::ServerRequestInfo_ptr | tao_PortableInterceptor_ServerRequestInfo_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableInterceptor_ServerRequestInfo_upcast (void *src)
PortableInterceptor::ClientRequestInterceptor_ptr | tao_PortableInterceptor_ClientRequestInterceptor_duplicate (PortableInterceptor::ClientRequestInterceptor_ptr p)
void | tao_PortableInterceptor_ClientRequestInterceptor_release (PortableInterceptor::ClientRequestInterceptor_ptr p)
PortableInterceptor::ClientRequestInterceptor_ptr | tao_PortableInterceptor_ClientRequestInterceptor_nil (void)
PortableInterceptor::ClientRequestInterceptor_ptr | tao_PortableInterceptor_ClientRequestInterceptor_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableInterceptor_ClientRequestInterceptor_upcast (void *src)
PortableInterceptor::ServerRequestInterceptor_ptr | tao_PortableInterceptor_ServerRequestInterceptor_duplicate (PortableInterceptor::ServerRequestInterceptor_ptr p)
void | tao_PortableInterceptor_ServerRequestInterceptor_release (PortableInterceptor::ServerRequestInterceptor_ptr p)
PortableInterceptor::ServerRequestInterceptor_ptr | tao_PortableInterceptor_ServerRequestInterceptor_nil (void)
PortableInterceptor::ServerRequestInterceptor_ptr | tao_PortableInterceptor_ServerRequestInterceptor_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableInterceptor_ServerRequestInterceptor_upcast (void *src)
PortableInterceptor::IORInfo_ptr | tao_PortableInterceptor_IORInfo_duplicate (PortableInterceptor::IORInfo_ptr p)
void | tao_PortableInterceptor_IORInfo_release (PortableInterceptor::IORInfo_ptr p)
PortableInterceptor::IORInfo_ptr | tao_PortableInterceptor_IORInfo_nil (void)
PortableInterceptor::IORInfo_ptr | tao_PortableInterceptor_IORInfo_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableInterceptor_IORInfo_upcast (void *src)
PortableInterceptor::IORInterceptor_ptr | tao_PortableInterceptor_IORInterceptor_duplicate (PortableInterceptor::IORInterceptor_ptr p)
void | tao_PortableInterceptor_IORInterceptor_release (PortableInterceptor::IORInterceptor_ptr p)
PortableInterceptor::IORInterceptor_ptr | tao_PortableInterceptor_IORInterceptor_nil (void)
PortableInterceptor::IORInterceptor_ptr | tao_PortableInterceptor_IORInterceptor_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableInterceptor_IORInterceptor_upcast (void *src)
PortableInterceptor::PolicyFactory_ptr | tao_PortableInterceptor_PolicyFactory_duplicate (PortableInterceptor::PolicyFactory_ptr p)
void | tao_PortableInterceptor_PolicyFactory_release (PortableInterceptor::PolicyFactory_ptr p)
PortableInterceptor::PolicyFactory_ptr | tao_PortableInterceptor_PolicyFactory_nil (void)
PortableInterceptor::PolicyFactory_ptr | tao_PortableInterceptor_PolicyFactory_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableInterceptor_PolicyFactory_upcast (void *src)
PortableInterceptor::ORBInitInfo_ptr | tao_PortableInterceptor_ORBInitInfo_duplicate (PortableInterceptor::ORBInitInfo_ptr p)
void | tao_PortableInterceptor_ORBInitInfo_release (PortableInterceptor::ORBInitInfo_ptr p)
PortableInterceptor::ORBInitInfo_ptr | tao_PortableInterceptor_ORBInitInfo_nil (void)
PortableInterceptor::ORBInitInfo_ptr | tao_PortableInterceptor_ORBInitInfo_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableInterceptor_ORBInitInfo_upcast (void *src)
PortableInterceptor::ORBInitializer_ptr | tao_PortableInterceptor_ORBInitializer_duplicate (PortableInterceptor::ORBInitializer_ptr p)
void | tao_PortableInterceptor_ORBInitializer_release (PortableInterceptor::ORBInitializer_ptr p)
PortableInterceptor::ORBInitializer_ptr | tao_PortableInterceptor_ORBInitializer_nil (void)
PortableInterceptor::ORBInitializer_ptr | tao_PortableInterceptor_ORBInitializer_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_PortableInterceptor_ORBInitializer_upcast (void *src)
## Variables
const CORBA::Long | _oc_PortableInterceptor_ReplyStatus []
const CORBA::Long | _oc_PortableInterceptor_InvalidSlot []

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_ForwardRequest | ( | CORBA::tk_except | ,
|  | sizeof(_oc_PortableInterceptor_ForwardRequest) | ,
|  | (char *)& | _oc_PortableInterceptor_ForwardRequest,
|  | 0 | ,
|  | sizeof(PortableInterceptor::ForwardRequest) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_InvalidSlot | ( | CORBA::tk_except | ,
|  | sizeof(_oc_PortableInterceptor_InvalidSlot) | ,
|  | (char *)& | _oc_PortableInterceptor_InvalidSlot,
|  | 0 | ,
|  | sizeof(PortableInterceptor::InvalidSlot) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_ReplyStatus | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_PortableInterceptor_ReplyStatus) | ,
|  | (char *)& | _oc_PortableInterceptor_ReplyStatus,
|  | 0 | ,
|  | sizeof(PortableInterceptor::ReplyStatus) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_SlotId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_PortableInterceptor_SlotId) | ,
|  | (char *)& | _oc_PortableInterceptor_SlotId,
|  | 0 | ,
|  | sizeof(PortableInterceptor::SlotId) |
| ) | `[static]`

TAO_NAMESPACE_TYPE | ( | CORBA::TypeCode_ptr |  | ) |

PortableInterceptor::ClientRequestInfo_ptr tao_PortableInterceptor_ClientRequestInfo_duplicate | ( | PortableInterceptor::ClientRequestInfo_ptr | p | ) |

PortableInterceptor::ClientRequestInfo_ptr tao_PortableInterceptor_ClientRequestInfo_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableInterceptor::ClientRequestInfo_ptr tao_PortableInterceptor_ClientRequestInfo_nil | ( | void |  | ) |

void tao_PortableInterceptor_ClientRequestInfo_release | ( | PortableInterceptor::ClientRequestInfo_ptr | p | ) |

CORBA::Object* tao_PortableInterceptor_ClientRequestInfo_upcast | ( | void * | src | ) |

PortableInterceptor::ClientRequestInterceptor_ptr tao_PortableInterceptor_ClientRequestInterceptor_duplicate | ( | PortableInterceptor::ClientRequestInterceptor_ptr | p | ) |

PortableInterceptor::ClientRequestInterceptor_ptr tao_PortableInterceptor_ClientRequestInterceptor_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableInterceptor::ClientRequestInterceptor_ptr tao_PortableInterceptor_ClientRequestInterceptor_nil | ( | void |  | ) |

void tao_PortableInterceptor_ClientRequestInterceptor_release | ( | PortableInterceptor::ClientRequestInterceptor_ptr | p | ) |

CORBA::Object* tao_PortableInterceptor_ClientRequestInterceptor_upcast | ( | void * | src | ) |

PortableInterceptor::Current_ptr tao_PortableInterceptor_Current_duplicate | ( | PortableInterceptor::Current_ptr | p | ) |

PortableInterceptor::Current_ptr tao_PortableInterceptor_Current_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableInterceptor::Current_ptr tao_PortableInterceptor_Current_nil | ( | void |  | ) |

void tao_PortableInterceptor_Current_release | ( | PortableInterceptor::Current_ptr | p | ) |

CORBA::Object* tao_PortableInterceptor_Current_upcast | ( | void * | src | ) |

PortableInterceptor::Interceptor_ptr tao_PortableInterceptor_Interceptor_duplicate | ( | PortableInterceptor::Interceptor_ptr | p | ) |

PortableInterceptor::Interceptor_ptr tao_PortableInterceptor_Interceptor_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableInterceptor::Interceptor_ptr tao_PortableInterceptor_Interceptor_nil | ( | void |  | ) |

void tao_PortableInterceptor_Interceptor_release | ( | PortableInterceptor::Interceptor_ptr | p | ) |

CORBA::Object* tao_PortableInterceptor_Interceptor_upcast | ( | void * | src | ) |

PortableInterceptor::IORInfo_ptr tao_PortableInterceptor_IORInfo_duplicate | ( | PortableInterceptor::IORInfo_ptr | p | ) |

PortableInterceptor::IORInfo_ptr tao_PortableInterceptor_IORInfo_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableInterceptor::IORInfo_ptr tao_PortableInterceptor_IORInfo_nil | ( | void |  | ) |

void tao_PortableInterceptor_IORInfo_release | ( | PortableInterceptor::IORInfo_ptr | p | ) |

CORBA::Object* tao_PortableInterceptor_IORInfo_upcast | ( | void * | src | ) |

PortableInterceptor::IORInterceptor_ptr tao_PortableInterceptor_IORInterceptor_duplicate | ( | PortableInterceptor::IORInterceptor_ptr | p | ) |

PortableInterceptor::IORInterceptor_ptr tao_PortableInterceptor_IORInterceptor_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableInterceptor::IORInterceptor_ptr tao_PortableInterceptor_IORInterceptor_nil | ( | void |  | ) |

void tao_PortableInterceptor_IORInterceptor_release | ( | PortableInterceptor::IORInterceptor_ptr | p | ) |

CORBA::Object* tao_PortableInterceptor_IORInterceptor_upcast | ( | void * | src | ) |

PortableInterceptor::ORBInitializer_ptr tao_PortableInterceptor_ORBInitializer_duplicate | ( | PortableInterceptor::ORBInitializer_ptr | p | ) |

PortableInterceptor::ORBInitializer_ptr tao_PortableInterceptor_ORBInitializer_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableInterceptor::ORBInitializer_ptr tao_PortableInterceptor_ORBInitializer_nil | ( | void |  | ) |

void tao_PortableInterceptor_ORBInitializer_release | ( | PortableInterceptor::ORBInitializer_ptr | p | ) |

CORBA::Object* tao_PortableInterceptor_ORBInitializer_upcast | ( | void * | src | ) |

PortableInterceptor::ORBInitInfo_ptr tao_PortableInterceptor_ORBInitInfo_duplicate | ( | PortableInterceptor::ORBInitInfo_ptr | p | ) |

PortableInterceptor::ORBInitInfo_ptr tao_PortableInterceptor_ORBInitInfo_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableInterceptor::ORBInitInfo_ptr tao_PortableInterceptor_ORBInitInfo_nil | ( | void |  | ) |

void tao_PortableInterceptor_ORBInitInfo_release | ( | PortableInterceptor::ORBInitInfo_ptr | p | ) |

CORBA::Object* tao_PortableInterceptor_ORBInitInfo_upcast | ( | void * | src | ) |

PortableInterceptor::PolicyFactory_ptr tao_PortableInterceptor_PolicyFactory_duplicate | ( | PortableInterceptor::PolicyFactory_ptr | p | ) |

PortableInterceptor::PolicyFactory_ptr tao_PortableInterceptor_PolicyFactory_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableInterceptor::PolicyFactory_ptr tao_PortableInterceptor_PolicyFactory_nil | ( | void |  | ) |

void tao_PortableInterceptor_PolicyFactory_release | ( | PortableInterceptor::PolicyFactory_ptr | p | ) |

CORBA::Object* tao_PortableInterceptor_PolicyFactory_upcast | ( | void * | src | ) |

PortableInterceptor::RequestInfo_ptr tao_PortableInterceptor_RequestInfo_duplicate | ( | PortableInterceptor::RequestInfo_ptr | p | ) |

PortableInterceptor::RequestInfo_ptr tao_PortableInterceptor_RequestInfo_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableInterceptor::RequestInfo_ptr tao_PortableInterceptor_RequestInfo_nil | ( | void |  | ) |

void tao_PortableInterceptor_RequestInfo_release | ( | PortableInterceptor::RequestInfo_ptr | p | ) |

CORBA::Object* tao_PortableInterceptor_RequestInfo_upcast | ( | void * | src | ) |

PortableInterceptor::ServerRequestInfo_ptr tao_PortableInterceptor_ServerRequestInfo_duplicate | ( | PortableInterceptor::ServerRequestInfo_ptr | p | ) |

PortableInterceptor::ServerRequestInfo_ptr tao_PortableInterceptor_ServerRequestInfo_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableInterceptor::ServerRequestInfo_ptr tao_PortableInterceptor_ServerRequestInfo_nil | ( | void |  | ) |

void tao_PortableInterceptor_ServerRequestInfo_release | ( | PortableInterceptor::ServerRequestInfo_ptr | p | ) |

CORBA::Object* tao_PortableInterceptor_ServerRequestInfo_upcast | ( | void * | src | ) |

PortableInterceptor::ServerRequestInterceptor_ptr tao_PortableInterceptor_ServerRequestInterceptor_duplicate | ( | PortableInterceptor::ServerRequestInterceptor_ptr | p | ) |

PortableInterceptor::ServerRequestInterceptor_ptr tao_PortableInterceptor_ServerRequestInterceptor_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

PortableInterceptor::ServerRequestInterceptor_ptr tao_PortableInterceptor_ServerRequestInterceptor_nil | ( | void |  | ) |

void tao_PortableInterceptor_ServerRequestInterceptor_release | ( | PortableInterceptor::ServerRequestInterceptor_ptr | p | ) |

CORBA::Object* tao_PortableInterceptor_ServerRequestInterceptor_upcast | ( | void * | src | ) |

## Variable Documentation

const CORBA::Long _oc_PortableInterceptor_InvalidSlot[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      40,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x506f7274),
      ACE_NTOHL (0x61626c65),
      ACE_NTOHL (0x496e7465),
      ACE_NTOHL (0x72636570),
      ACE_NTOHL (0x746f722f),
      ACE_NTOHL (0x496e7661),
      ACE_NTOHL (0x6c696453),
      ACE_NTOHL (0x6c6f743a),
      ACE_NTOHL (0x312e3000),
      12,
      ACE_NTOHL (0x496e7661),
      ACE_NTOHL (0x6c696453),
      ACE_NTOHL (0x6c6f7400),
      0,
    }

const CORBA::Long _oc_PortableInterceptor_ReplyStatus[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      40,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x506f7274),
      ACE_NTOHL (0x61626c65),
      ACE_NTOHL (0x496e7465),
      ACE_NTOHL (0x72636570),
      ACE_NTOHL (0x746f722f),
      ACE_NTOHL (0x5265706c),
      ACE_NTOHL (0x79537461),
      ACE_NTOHL (0x7475733a),
      ACE_NTOHL (0x312e3000),
      12,
      ACE_NTOHL (0x5265706c),
      ACE_NTOHL (0x79537461),
      ACE_NTOHL (0x74757300),
      CORBA::tk_short,

    }